Bug 1130033 - ark requires unrar, which isn't available
Summary: ark requires unrar, which isn't available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ark
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 08:20 UTC by dhardy
Modified: 2014-11-04 00:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-04 00:24:58 UTC


Attachments (Terms of Use)

Description dhardy 2014-08-14 08:20:09 UTC
Description of problem:
Trying to open a rar archive in Ark produces the message "Failed to locate the program unrar on disk."

Version-Release number of selected component (if applicable):
Ark 2.19

How reproducible:
Always

Steps to Reproduce:
1. Try opening a rar file in Ark

Additional info:
The program 'unar' can extract the archive in question fine, but Ark doesn't use it.

And, no, I am not suggesting that anyone ever _use_ rar ...

Comment 1 Kevin Kofler 2014-08-14 12:57:56 UTC
There exists a patch to make Ark use unar, we should apply it.

Comment 2 Rex Dieter 2014-08-14 13:02:44 UTC
Yeah, been waiting for
https://git.reviewboard.kde.org/r/106294/
to get reviewed and accepted upstream, but I suppose something is better than nothing.

Comment 3 Rex Dieter 2014-08-14 13:08:33 UTC
%changelog
* Thu Aug 14 2014 Rex Dieter <rdieter@fedoraproject.org> 4.13.97-3
- add unar support

Comment 4 Kevin Kofler 2014-11-04 00:24:58 UTC
This was pushed with the 4.14 update.


Note You need to log in before you can comment on or make changes to this bug.